org.springframework.batch.core.jsr.configuration.xml

## Class PropertyParser

- java.lang.Object
- - org.springframework.batch.core.jsr.configuration.xml.PropertyParser

-     public class PropertyParser
      extends java.lang.Object

  Parser for the <properties /> element defined by JSR-352.

  Since:
    3.0
  Author:
    Chris Schaefer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyParser(java.lang.String beanName, org.springframework.beans.factory.xml.ParserContext parserContext, BatchArtifactType batchArtifactType)`
    `PropertyParser(java.lang.String beanName, org.springframework.beans.factory.xml.ParserContext parserContext, BatchArtifactType batchArtifactType, java.lang.String stepName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `parseProperties(org.w3c.dom.Element element)` Parses <property> tag values from the provided `Element` if it contains a <properties /> element.
    `void` | `parseProperty(org.w3c.dom.Element element)` Parses a <property> tag value from the provided `Element`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyParser

          public PropertyParser(java.lang.String beanName,
                                org.springframework.beans.factory.xml.ParserContext parserContext,
                                BatchArtifactType batchArtifactType)

    - #### PropertyParser

          public PropertyParser(java.lang.String beanName,
                                org.springframework.beans.factory.xml.ParserContext parserContext,
                                BatchArtifactType batchArtifactType,
                                java.lang.String stepName)

  - ### Method Detail

    - #### parseProperties

          public void parseProperties(org.w3c.dom.Element element)

      Parses <property> tag values from the provided `Element` if it contains a <properties /> element. Only one <properties /> element may be present. <property> elements have a name and value attribute which represent the property entries key and value.

      Parameters:
        `element` - the element to parse looking for <properties />

    - #### parseProperty

          public void parseProperty(org.w3c.dom.Element element)

      Parses a <property> tag value from the provided `Element`. <property> elements have a name and value attribute which represent the property entries key and value.

      Parameters:
        `element` - the element to parse looking for <property/>